package com.dt.oss.controller;

import com.dt.config.NonLoginRequired;
import com.dt.oss.OSSService;
import com.sun.istack.internal.NotNull;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestPart;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import java.io.IOException;

@RequestMapping("/oss")
@RestController
public class OSSController {



    @Resource
    private OSSService ossService;


    @RequestMapping("/upload")
    @NonLoginRequired
    public String upload(@RequestPart("file") MultipartFile file) {
        try {
            String url = ossService.upload(file);
            return url;
        } catch (IOException e) {
            return "上传失败: ";
        }
    }


}
