package com.dt.child.controller;

import com.dt.common.service.VideoService;
import com.dt.config.NonLoginRequired;
import com.dt.dto.AddVideoDto;
import com.dt.vo.Result;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.validation.Valid;

@RequestMapping("video")
@RestController
public class VideoController {

    @Resource
    private VideoService videoService;

//  添加视频
    @PostMapping("addVideo")
    public Result addVideo(@RequestBody @Valid AddVideoDto addVideoDto){
        return videoService.addVideo(addVideoDto);
    }
//    查询所有视频
    @PostMapping("selVideo")
    public Result selVideo(){
        return videoService.selVideo();
    }
//




}
