package com.dt.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class AddVideoDto {




    /**
     * 标签
     */
    @NotBlank(message = "标题不能为空")
    private String title;

    /**
     * 图片
     */
    @NotNull(message = "图片不能为空")
    private String img;

    /**
     * 路径
     */
    @NotBlank(message = "路径不能为空")
    private String url;

    /**
     * 观看数量
     */
    @NotNull(message = "观看数量不能为空")
    private Integer viewCount;

    /**
     * 点赞数量
     */
    @NotNull(message = "点赞数量不能为空")
    private Integer likeCount;

    /**
     * 品论数量
     */
    @NotNull(message = "品论数量不能为空")
    private Integer commentCount;

    /**
     * 收藏数量
     */
    @NotNull(message = "收藏数量不能为空")
    private Integer favoritesCount;

    /**
     * 是否精选视频
     */
    @NotNull(message = "是否精选视频不能为空")
    private Integer isFeatured;


}