package com.dt.vo;

import lombok.Data;

@Data
public class Result {


    private Integer code;

    private Object data;
    private String message;





    public static Result ok(Object data,String message) {
    	Result result = new Result();
    	result.setCode(200);
    	result.setData(data);
        result.setMessage(message);
    	return result;
    }

    public static Result Err(Object data,String message) {
        Result result = new Result();
        result.setCode(400);
        result.setData(data);
        result.setMessage(message);
        return result;
    }

}
